#include <stdio.h>

int main (int argc, const char * argv[]) 
{  
  int R, N, n, inCircle, x, y;
  
  // The user will pass us a radius R and a value for N
  // via command line arguments. Since the name of the
  // program is always the first argument, check to see
  // that 3 arguments are present. If we see anything 
  // other than 3 arguments, just quit with an error
  // message.
  if(argc != 3)
  {
    printf("Invalid argument list.\n");
    printf("Usage: Darts <R> <N>\n");
    return -1;
  }
  
  // Read R and N from the arguments
  sscanf(argv[1],"%d",&R);
  sscanf(argv[2],"%d",&N);
  
  n = 0;
  inCircle = 0;
  while(n < N)
  {
    // Read the coordinates of the next dart
    scanf("%d",&x);
    scanf("%d",&y);
    // Recenter the point to make it fall in the square.
    x = x%(2*R)-R;
    y = y%(2*R)-R;
    // Is the dart within R of the origin?
    if(x*x+y*y <= R*R)
      inCircle++;
		n++;
  }
  
	// The ratio inCircle/N will produce an estimate for Pi/4.
	// By multiplying by 4.0 we can generate a crude estimate
	// for Pi.
	printf("%f\n",4.0*inCircle/N);
	
  return 0;
}
