#include <stdio.h>

int main (int argc, const char * argv[]) 
{  
  int x, N,n;
  
  // The user will pass us a seed value and a value for N
  // via command line arguments. Since the name of the
  // program is always the first argument, check to see
  // that 3 arguments are present. If we see anything 
  // other than 3 arguments, just quit with an error
  // message.
  if(argc != 3)
  {
    printf("Invalid argument list.\n");
    printf("Usage: Random <seed> <N>\n");
    return -1;
  }
  
  // Read x and N from the arguments
  sscanf(argv[1],"%d",&x);
  sscanf(argv[2],"%d",&N);
  
  n = 0;
  while(n < N)
  {
    // Generate the next number in the sequence
    // Mod by 11657 to keep the numbers in a
    // modest range.
    x = (17389*x+12553)%11657;
    n++;
    // Print the number we just generated.
    // Since we want to print numbers in the 
    // range from 0 to 999 we have to mod x 
    // by 1000 to get the desired value.
    printf("%d\n",x%1000);
  }
  
  return 0;
}
